tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: devel/autoconf fails to build on MacOS X

Am 20.01.2009 um 14:22 schrieb Ignatios Souvatzis:

On Mon, Jan 19, 2009 at 06:08:36PM -0500, Greg Troxel wrote:

I wonder if this is really a macos 10.4.1 bug.

You said autoconf and then automake. I built them both on 10.5.6/ i386
with no trouble.  It has gnu m4 1.4.6

So perhaps the fix is to add something in tools that gm4 is broken on
macos 10.4.

and 10.3.9, see my PR 40329

Or, perhaps there is really a bug in autoconf with the wrong number of
arguments but only the m4 on 10.4 detects this.

As sufficiently newer gm4 than the onein in 10.3.9 work, we should tell pkgsrc to not use the installed m4 somehow - what infrastructure is there
to do that?

I've submitted a patch to pkgsrc/mk/tools/ that should fix the issue (by chance, the same logic had already been in place for GNU make). I also changed PR 40329 to "feedback". As the original reporter, please close that PR if you can confirm the issue has been solved.

Georg Schwarz  +49 151 11559652

Home | Main Index | Thread Index | Old Index